Пожалуйста, укажите причину жалобы на комментарий пользователя и ваши контактные данные, по которым мы могли бы связаться с Вами для уточнения информации или уведомления о предпринятых действиях со стороны администрации сайта!
Отмена Отправить
X

E-mail:

Пароль:

| Забыли пароль?


Распознавание текста в Ubuntu: Cuneiform+YAGF

Распознавание текста в Ubuntu: Cuneiform+YAGF

Для распознавания текста в Ubuntu Linux существует отличный продукт от русских разработчиков - Cuneiform. Программа эта консольная, так что для удобной работы с ней необходимо доустановить графическую оболочку, которых существует достаточное множество, но самая развитая из них на данный момент - это YAGF. В итоге мы получаем отличный бесплатный аналог дорогостоящему FineReader с поддержкой множества языков, включая русский, отлично распознающий текст с изображений и умеющий работать со сканерами.

Оба пакета, и Cuneiform, и YAGF содержаться в официальном репозитории Ubuntu репозитории GetDeb.net, поэтому для начала необходимо установить пакет http://archive.getdeb.net/install_deb/getdeb-repository_0.1-1~getdeb1_all.deb чтобы добавить его в свою систему. Затем выполняем следующие команды

sudo apt-get update
sudo apt-get install cuneiform yagf

Если у вас есть сканер и вы хотите распознавать в программе текст напрямую из него, необходимо также установить пакет xsane:

sudo apt-get install xsane

Автор:

Раскажи всем:

Комментарии (28)

Аватар dnua22.04.2011 в 00:00#1969
Давно искал. Спасибо.

А то запарился распознавать текст он-лайн. И не на Винду же с файнридером переходить из-за одной недостающей функции под Linux?
Аватар oermolaev22.04.2011 в 09:51#1971
пакет yagf в репозиториях 10.10 не находится :(
Аватар Brullworfel22.04.2011 в 13:19#1973 ответ на #1971
Точно не находится, это он у меня в GetDeb-е.. ступил, сейчас поправлю статью =)
Аватар phantomsmart27.04.2011 в 16:59#1997
У меня убунта 11.04. Репозитории GetDeb.net утсановил, все сделал по Вашей инструкции, однако после sudo apt-get install cuneiform yagf получил ответ "не могу найти пакет yagf" Что делать, подскажите пожалуйста.
Аватар Brullworfel27.04.2011 в 17:50#1998
Наверное стоит подождать финального релиза 11.04 и когда в GetDeb обновят для него пакеты.
Аватар phantomsmart30.04.2011 в 09:52#2023
Понял, спасибо.
Аватар Михаил03.05.2011 в 22:09#2050
Мой обзорчик по линуксу. Коротенько, на треть странички. Перлы линукса - консоль (19 век), репозитории и зависимости. У меня сборка Росинка, на убунте 10.04 LTS. Новый принтер она не видит, дрова есть на сайте производителя только под старую версию 9.04, неплохая ирония, да? То есть, я должен компилировать под свою версию. Или переходить на последнюю, где эти дрова наверное уже есть. А мне уже остохренело менять версии, со всеми их добавочными ошибками и новомодностями. Винда в обозримом будущем будет рулить. На линуксе любая перифирия - проблема. Струйный принтер печатает как черепаха, и фото никуда не годится, второй, лазерный принтер, вообще "невидимый". Программы по дизайну - начальные классы средней школы, не более. Даже просто работа дома - интернет, печатная машинка, проблема. Принтеры, сканеры, модемы - то слишком старые, надо откатываться к ранним версиям линукса, то слишком новые, надо ждать полгода новой версии, с её новыми ошибками и дебильными новшествами. Программа Яндекс кошелёк под вайном глючит. Веб мониевский муравей тоже. К тому же иногда надо работать только в интернет-эксплоурер, для корректного срабатывания безопасности и сертификатов. Так и нет его ни в одной сборке, хотя IE бесплатен. К сожалению, господа, [email protected] И не более того.
Это крик души. Хотел выбраться за пределы монополизма и сговора, а линксоиды, которые этому якобы противостоят, уже скуплены на корню со всеми потрохами. Убунта под музыку Дэлла пляшет, ну и так далее. Кто сумел выгодно продаться, тот и изображает борца за свободу, то есть им позволяют. Вреда от этого кривляния для винды - 0. Подозреваю, что бесплатная работа добровольцев, и оплачиваемых спецов из фирмы Канноникал, и других фирм, поддерживающих линукс, очень плавно перекочёвывает в винду, возможно за неплохие гонорары.
И претензия к автору сайта, его сборка 10.10 явно слабее предыдущей, плеер влс глючит, лицензионное видео не кажет. А 10.04 лтс он и вовсе не осилил. Потому я и на Росинке.
Через годик загляну, что в этом княжестве изменится (возможно к худшему).
Резюме: Пока что в экспериментальной стадии (уже 40 лет).
Аватар Brullworfel03.05.2011 в 22:51#2054 ответ на #2050
Во многом Вы правы, а во многом - нет. К сожалению, проблемы с железом - факт, однако это не вина Linux и ее разработчиков, а вина разработчиков этого самого железа, т.к. они беспокоятся только о совместимости с Windows и максимально стараются сделать все, чтобы в пользователей Windows с их железом проблем никаких не было. А вот для Linux стараются ЕДИНИЦЫ, перекладывая заботу о работе их железа в Linux на пользователей и разработчиков самой Linux. Всем обидно, и мне тоже, Вы в этом не одиноки =).

Однако:

На линуксе любая перифирия – проблема.

Не правда, далеко не вся. Со временем у пользователя Linux появляется опыт в подборе железа и он с легкостью проблем избегает. Есть конкретные производители железа, которые мало-мальски заботятся о Linux-пользователей, либо их оборудование настолько популярно, что даже при отсутствии их поддержки Linux сами сообщества пользователей открытого ПО давно решили проблемы с этим железом. Так что, если хотите Linux - придется учиться подбирать железо и перед покупкой всегда спрашивать у шейха Гугля как оно ведет с Вашим дистрибутивом.


Программа Яндекс кошелёк под вайном глючит. Веб мониевский муравей тоже.

Во-первых, опять же, претензии - к разработчикам этих сервисов. Во-вторых: веб-мани Вы можете использовать в Linux без каких либо проблем, подключив способы управления Keeper Light, Keeper Mini или, если у Вас уже WebMoney Classic, подключить авторизацию по E-Num и вообще без каких либо ограничений пользоваться сервисом (проверено на личном опыте).

К тому же иногда надо работать только в интернет-эксплоурер, для корректного срабатывания безопасности и сертификатов.

Вот это уже, не обижайтесь, но полный бред. Абсолютно никаких проблем с безопасностью и сертификатами не испытываю в Google Chrome, при этом пользуясь банковскими услугами и WebMoney через Интернет в Ubuntu. Internet Explorer мне действительно приходиться использовать, но только в целях проверки собственных веб-разработок (дизайна. скриптов и т.д.). Что же касается рядового пользователя Интернета (который не занимается веб-разработкой), то ему internet Explroer абсолютно не нужен. Да и судите сами - доля Internet Explorer по самым оптимистичным оценкам в России чуть более 50%, неужели вы думаете, что веб-разработчики различных сервисов будут отлаживать их только для Internet Explorer с такой дурной славой? Это действительно имело место 10 лет назад, но не сегодня.

Так и нет его ни в одной сборке, хотя IE бесплатен

Вы не правильно поняли его "бесплатность". Вы имеете право установить его в Wine (это вполне возможно) и использовать действительно бесплатно, но только в случае если являетесь обладателем лицензии на ОС Windows (смотрите лицензионной соглашение Internet Explorer).

А 10.04 лтс он и вовсе не осилил.

Простите, просто занят был =). Постараюсь в 11.04 приложить максимум усилий.

Резюме: Пока что в экспериментальной стадии (уже 40 лет).

Разработка Linux была начата финским студентом Линусом Торвальдсом в 1991 году. Так что не 40 лет, а ровно 20 =).
Аватар Владимр16.05.2011 в 12:50#2157
1. Покупай принтеры тех производителей, кто поддерживает линукс, и будет тебе счастье.
сайтик имеется по принтерам. со списком принтеров, которые поддерживаются. Ну а если ты в него не заглянул, а купил чё попало - кто виноват? Шатлворд?
Детский сад, ей Богу
2. Слушал я что есть придурки, которые затачивают свои сайты непосредственно под ИЕ. Ну так зачем лазить на сайты, которые варганят непрофессионалы?
Аватар Максим19.05.2011 в 09:27#2168
привет, у меня при sudo apt-get install cuneiform yagf выдает: E: Не удалось загрузить http://archive.getdeb.net/ubuntu/pool/apps/c/cuneiform/cuneiform-common_1.1.0-1~getdeb2_all.deb: Не совпадает размер
Аватар Brullworfel19.05.2011 в 09:28#2169 ответ на #2168
Попробуйте обновить списки пакетов:

sudo apt-get update
Аватар Максим19.05.2011 в 09:59#2170
я сразу обновил их, но все ровно....
Аватар Роман26.05.2011 в 22:08#2208
Жаль, что узко специализированного софта в Linux не хватает...
Аватар Shoot-nic27.05.2011 в 01:23#2210
Спасибо за программу.
офф - извините - если комуто чего-то в Линуксе не хватает - то это по большей части проблема закостеневшего мозга и кривых рук! Решение всего всегда найти можно. Конечно, если вы сторонник винды - то пожалуста, решайте свои проблемы в винде и не пытайтесь срать в линукс.
Аватар Нил05.06.2011 в 23:51#2260
Уважаемый Brullworfel,пожалуйста,подсобите:
У меня после повторения написанного Вами выше алгоритма,
в терминале выскакивает:
N: Ignoring file 'getdeb.list.bck' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
E: Не удалось найти пакет yagf
я стирал и заново уже устанавливал get-deb реппозиторий и ключ,но все равно выскакивает все то же
Аватар Brullworfel06.06.2011 в 09:57#2263 ответ на #2260
Проблема в том, что в GetDeb нет пакет YAGF для 11.04. Решение: скачать его руками c http://getdeb.net и поставить двойным кликом. Cuneiform при этом ставиться из репозиториев:

sudo apt-get update
sudo apt-get install cuneiform
Аватар maxsut16.09.2011 в 10:55#2605
Спасибо! Очень помогло :)
Аватар amfabc21.10.2011 в 10:30#2716
Блин! Еле нашёл нормальные инструкции. Спасибо большое Вам за эту страничку. А то, все умничают и умничают...
Аватар dnua24.11.2011 в 02:41#2854
Поставьте Xubuntu 11.10. Я на этот релиз перешел как раз с Ubuntu 10.04. Нормально и быстро всё работает , а ядро 3.0.0 определяет все устройства, даже новые. Так что попробуйте.
Аватар сергей17.03.2012 в 13:36#3150
привет поставил прогу а куда она поставилась не найду
Аватар dragon31.03.2012 в 18:15#3181
приложенияофисYAGF
Аватар wolfe16.04.2012 в 16:57#3260
а ты нормальный линукс ставь, не однодисковый, лучше на rpm типа fedora, mandriva, PC-linux и т.п. Такого сильного контроля зависмостей нет, либо пользуйся "слаками", если боишся зависимостей.
Винда 7 скоко места тянет 4-га и ты сравниваеш начинку бабунты с виндой, кстати файнридер 7 через вине работает как "глухонемой".
А консоль это очень большой плюс а не 19 век...
Аватар Cynosurus02.05.2012 в 13:44#3328
Спасибо. Все установилось. Особая благодарность Brullworfel.
Аватар Виктор04.05.2012 в 03:59#3344
Действительно, для Линуха не хватает нормальной распознавалки текста, чтобы без бубна и танцев устанавливалась и работала как АК-47 - стабильно и надежно. И дело вовсе не отсутствии рук и наличии закостенелого мозга, к сожалению.
Аватар ден10.07.2012 в 17:27#3826
отличная инструкция здесь все встало с первого раза http://adminway.ru/cuneiform-i-yagf-mozhno-ustanovit-iz-repozitoriya?commented=1#c001886
Аватар Евгений31.08.2012 в 12:47#4120
Внутренняя ошибка ни удалось открыть файл getdeb-repository_0.1-1~getdeb1_all.
Ладно сей час оно мне без особой надобности может потом вернусь к статье
Аватар ИРЛ Человек16.04.2013 в 19:23#5253 ответ на #2263
Brullworfel, уже есть походу под 11,04 встало все в пару кликов :)
Аватар Александр19.03.2015 в 11:15#6144
Большое спасибо за полезную статью!
В установке проблем не возникло. Программа работает хорошо и быстро. Архив getdeb-repository_0.1-1~getdeb1_all.deb устанавливал при помощи программы GDebi package installer. Приложение установил из репозитория убунту sudo apt-get install gdebi.
Оставить комментарий


В рубрике "Программы":

Установка Mate 1.12.1 в Ubuntu 15.10 и 16.04

Установка Mate 1.12.1 в Ubuntu 15.10 и 16.04Mate - форк (ответвление) от Gnome 2, зародившееся в то недавнее время, когда разнообразные ОС и дистрибутивы начали гонку на объединение классического оконного интерфейса с интерфейсом для мобильных устройств. Именно после появления Unity, Gnome 3, Metro и других подобных интерфейсов, вме...

WPS Office: отличный аналог Microsoft Office для Linux

WPS Office: отличный аналог Microsoft Office для Linux Недавно один мой знакомый попросил установить на его компьютер Microsoft Office, вместо LibreOffice, который он назвал "каким-то китайским". Думаю, он имел ввиду отставший от современных тенденций интерфейс пользователя LibreOffice. Иронично, что через несколько дней я открыл для себя WPS Offi...

Twitch Indicator в Ubuntu!

Twitch Indicator в Ubuntu!Twitch indicator это индикатор - апплет для Ubuntu. Идея заключается в том, что бы уведомлять о любимых стримерах на рабочем столе, и, - если у вас установлена библиотека Livestreamer, запускать видео поток в VLC плеере. Twitch - ведущий сайт видеостриминговой платформы, где осно...

LibreOffice 5.0: что нового и как установить в Ubuntu

LibreOffice 5.0: что нового и как установить в Ubuntu The Document Foundation представила новую версию своего свободного офисного пакета LibreOffice 5.0 для Windows, Mac OS X и Linux. Несмотря на то, что поменялся первый номер версии ("мажорное обновление") и теперь он - аж 5.0, пользователи отмечают довольно малое количество нововведений. Самые крупн...

Whisker Menu 1.5.0 в Xubuntu

Whisker Menu 1.5.0  в Xubuntu webupd8.org: В Xubuntu, начиная с версии  14.04, вместо меню программ используется Whisker Меню. Недавно Whisker обновился до версии 1.5.0. Из основных наиболее заметных новшеств - возможность настройки прозрачности, изменение профиля и возможность создания фотографии в профиле пользователя, возможность пои...

LibreOffice 4.4 с обновленным интерфейсом

LibreOffice 4.4 с обновленным интерфейсомThe Document Foundation объявила о выпуске новой версии отличного бесплатного (и открытого!) офисного пакета LibreOffice 4.4. Из основных нововведений релиза отмечается улучшенный импорт файлов из других офисных пакетов (в том числе Microsoft Office последних версий) и многочисленные изменения во вн...

Новая версия векторного редактора Inkscape 0.91: новый движок и более 700 исправлений

Новая версия векторного редактора Inkscape 0.91: новый движок и более 700 исправленийПосле четырех с половиной лет разработки, Inkscape 0.91, наконец, выпущен. Это довольно серьезное обновление открытого бесплатного векторного графического редактора включает более 700 исправлений ошибок, новый движок отрисовки, много-потоковую обработку фильтров, новые инструменты. Новая версия Inks...

Официальное приложение Telegram в Ubuntu

Официальное приложение Telegram в UbuntuTelegram - просто отличная система обмена сообщениями! Внешне, Telegram практически полностью повторяет своего более популярного конкурента WhatsApp, за исключением 2 очень больших преимуществ: безопасность и кроссплатформенность. 1. Безопасность. В Telegram все сообщения шифруются очень сильны...
Δ Наверх